'******************************************************************************
'*  pm80_demo.spin - a demo mode for the PM80 core
'*
'*  (c) Juergen Buchmueller <pullmoll@t-online.de>
'*
'* $Id: pm80_demo.spin,v 1.41 2010-03-16 17:11:54 pm Exp $
'******************************************************************************
CON
	_xinfreq		= 5_000_000		' Quartz is 5MHz
	_clkmode		= xtal1 + pll16x	' System clock is 80MHz

	tvPin			= 14

' Define this to include the Debug_1pinTV driver
'#define TV
' Define either one for your TV norm
'#define NTSC
#define	PAL

#ifndef	TV
' Can only be used without TV because of its size
'#define EXZ80DOC
#endif

OBJ
        pm80	: "pm80"
	io	: "io"

PUB     main : okay

        okay := io.start(tvPin)
	okay := pm80.start(@memory, io.command_addr)

DAT
memory
	file	"page0.bin"

#ifdef	EXZ80DOC
	file	"EXZ80DOC.COM"
#else
	file	"demo.bin"
#endif
